﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Adding a new job</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Adding a new job</h1>
        <p>To create a new job, perform the following steps:</p>
        <ol>
            <li>
                <p>Click&#160;<strong>Admin &gt; Job Control Panel</strong>.&#160;<br />The&#160;<b>Job Control Panel</b> page is displayed.</p>
            </li>
            <li>
                <p>Click <strong>Add New Job</strong>. <br />The&#160;<strong>Create New Trigger</strong> window is displayed.</p>
            </li>
            <li>
                <p>Specify the&#160;following details in the <strong>Create New Trigger</strong> window:</p>
                <ul>
                    <li>
                        <p><strong>Job Name:</strong>&#160;Specify the job trigger name.</p>
                    </li>
                    <li>
                        <p><strong>Job Type: </strong>Select the type of job for the job&#160;trigger from the drop down list. The job types are listed with the respective job category.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">Ensure that the total number of characters used for naming the jobs in a trigger chain job does not exceed 255 characters.<br /></p>
                        </div>
                    </li>
                    <li>
                        <p>Schedule Options:  &#160;Minutes, Hourly, Daily, Weekly, Cron Expression and specify the time slot&#160;based on your requirement</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p>The <strong>Create New Trigger </strong>window may include additional parameters depending on the job type.</p>
                        </div>
                    </li>
                </ul>
            </li>
            <li>
                <p>Click <strong>Save</strong>.</p>
            </li>
            <li>
                <p>After the job is saved, it is displayed in the list with an&#160;<strong>Action </strong>button under the&#160;<strong>Action </strong>column. This column provides&#160;the following options for each&#160;job:</p>
                <ul>
                    <li>
                        <p><strong>Start </strong>-&#160;Runs the job.</p>
                    </li>
                    <li>
                        <p><strong>Edit Trigger</strong> - Configures the trigger such as task orders.</p>
                    </li>
                    <li>
                        <p><strong>Remove Trigger&#160;</strong>-&#160;Removes the trigger for the job.</p>
                    </li>
                </ul>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The start or run action button in the <strong>Job Control</strong> Panel is disabled for non-concurrent jobs when the job execution is in a progress state. (Available from Release v2021.0 onwards).</p>
        </div>
        <p>&#160;</p>
    </body>
</html>